Upgrading protocol from 10009 to10011

+1 vote
I am running version 1.0.7 on Windows, and I am trying to upgrade the protocol from 10009 to 10011. When I attempt the command

multichain-cli chain1 createfrom 1... upgrade protocol-upgrade false '{"protocol-version":10011}'

all I see is the error message error: Error parsing JSON:'{protocol-version:10011}'

I have copied the command directly from your web page and changed the values as appropriate, so what is wrong?
asked Mar 10 by Tony Marston

1 Answer

0 votes

This is just about how Windows escapes command line parameters passed to multichain-cli differently. There's a note in the Windows README file about this, but here's what you need in this case:

multichain-cli chain1 createfrom 1... upgrade protocol-upgrade false "{\"protocol-version\":10011}"

The underlying JSON-RPC command is the same on all platforms.

answered Mar 11 by MultiChain
...